Name:           perl-Test-WriteVariants
Version:        0.014
Release:        4%{?dist}
Summary:        Dynamic generation of tests in nested combinations of contexts
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-WriteVariants
Source0:        https://cpan.metacpan.org/authors/id/R/RE/REHSACK/Test-WriteVariants-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Data::Tumbler) >= 0.002
BuildRequires:  perl(File::Basename)
# File::Find::Rule bahaves as a hard dependency, CPAN RT#122100
BuildRequires:  perl(File::Find::Rule) >= 0.34
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Module::Pluggable::Object) >= 4.9
BuildRequires:  perl(Module::Runtime)
# Optional run-time:
BuildRequires:  perl(File::Slurper)
# Tests:
BuildRequires:  perl(Test::Directory) >= 0.041
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Most)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Data::Dumper)
Requires:       perl(Data::Tumbler) >= 0.002
# File::Find::Rule bahaves as a hard dependency, CPAN RT#122100
Requires:       perl(File::Find::Rule) >= 0.34
Suggests:       perl(File::Slurper)
Requires:       perl(Module::Pluggable::Object) >= 4.9

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\((Data::Tumbler|Module::Pluggable::Object)\\)$

%description
This is a library for generating Perl tests for every possible combination of
contexts. The output is another set of Perl test files.

%prep
%setup -q -n Test-WriteVariants-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license ARTISTIC-1.0 GPL-1 GPL-2.0 LICENSE
# TODO is empty
%doc Changes README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.014-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.014-3
- Perl 5.28 rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.014-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Petr Pisar <ppisar@redhat.com> - 0.014-1
- 0.014 bump

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.013-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jun 15 2017 Petr Pisar <ppisar@redhat.com> - 0.013-1
- 0.013 bump

* Mon Jun 05 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.012-2
- Perl 5.26 rebuild

* Fri Apr 21 2017 Petr Pisar <ppisar@redhat.com> 0.012-1
- Specfile autogenerated by cpanspec 1.78.
